# List dashboard shares (deprecated)

Gets a list of all users and groups to whom the specified dashboard is shared, and their access level.

> Note: For pagination guidance, refer to Pagination.

DEPRECATED - As early as the sunset date specified in this Changelog entry, this endpoint will be discontinued. Please refer to the Changelog entry for more details.

Endpoint: GET /sights/{sightId}/shares
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `sharingInclude` (string)
    When applicable for the specific object this parameter defines the scope of the share. Possible values are ITEM or WORKSPACE. ITEM is an item-level share (that is, the specific object to which the share applies is shared with the user or group). WORKSPACE is a workspace-level share (that is, the workspace that contains the object to which the share applies is shared with the user or group).
    Enum: "ITEM", "WORKSPACE"

  - `includeAll` (boolean)
    If true, include all results, that is, do not paginate. Mutually exclusive with page and pageSize (they are ignored if includeAll=true is specified).

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

## Path parameters:

  - `sightId` (string, required)
    ID of the dashboard (sight) being accessed.

## Response 200 fields (application/json):

  - `pageNumber` (number)
    The current page in the full result set that the data array represents. NOTE when a page number greater than totalPages is requested, the last page is instead returned.
    Example: 1

  - `pageSize` (number,null)
    The number of items in a page. Omitted if there is no limit to page size (and hence, all results are included). Unless otherwise specified, this defaults to 100 for most endpoints.
    Example: 50

  - `totalPages` (number)
    The total number of pages in the full result set.
    Example: 25

  - `totalCount` (number)
    The total number of items in the full result set.
    Example: 136

  - `result` (array)

  - `result.id` (string)
    Share ID.

NOTE: unlike other Smartsheet object Ids, this ID is an alphanumeric string.

  - `result.groupId` (number)
    Group ID if the share is a group share, else null.

  - `result.userId` (number)
    User ID if the share is a user share, else null.

  - `result.type` (string)
    The type of this share. One of the following values: GROUP or USER.

  - `result.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `result.ccMe` (boolean)
    Indicates whether to send a copy of the email to the sharer of the sheet. You can specify this attribute
in a request, but it is never present in a response.

  - `result.createdAt` (any)

  - `result.email` (string)
    User's primary email address for user shares.

  - `result.message` (string)
    The message included in the body of the email that is optionally sent to the recipient. You can specify
this attribute in a request, but it is never present in a response.

  - `result.modifiedAt` (any)

  - `result.name` (string)
    If a user share and user is also a contact, the user's full name. If a group share, the group's name.

  - `result.scope` (string)
    The scope of this share. One of the following values:
  * ITEM: an item-level share (that is, the specific object to which the share applies is shared with
    the user or group).
  * WORKSPACE: a workspace-level share (that is, the workspace that contains the object to which the
    share applies is shared with the user or group).

  - `result.subject` (string)
    The subject of the email that is optionally sent to notify the recipient. You can specify this attribute
in a request, but it is never present in a response.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


